Package org.eclipse.m2m.atl.adt.runner

# Class CreateRunnableData

java.lang.Object
org.eclipse.m2m.atl.adt.runner.CreateRunnableData

public class CreateRunnableData extends Object
Stores / Loads ATL launch parameters from:

- an ATL file.
- an ATL Launch Configuration.
- an ATL properties file.

## Constructor Summary

Constructors
Constructor
Description
`CreateRunnableData()`

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getAllLibrariesNames()`
`Set<String>`
`getAllMetamodelsNames()`
Aggregates all metamodels names.
`List<String>`
`getAllModelsNames()`
Aggregates all models names.
`Object`
`getClassShortName()`
`static org.eclipse.core.resources.IFile`
`getFile(String path)`
Returns the ATL file for a given .atl or .asm path.
`String`
`getFileType()`
`Map<String,String>`
`getInModels()`
`Map<String,String>`
`getInOutModels()`
`Map<String,String>`
`getLibraryLocations()`
`Map<String,String>`
`getMetamodelLocations()`
`List<String>`
`getModelsToLoadNames()`
Aggregates all models to load names.
`List<String>`
`getModelsToSaveNames()`
Aggregates all models to save names.
`Map<String,String>`
`getOptions()`
`Map<String,String>`
`getOutModels()`
`org.eclipse.core.resources.IFile[]`
`getTransformationFiles()`
`boolean`
`isMetametamodel(String metamodelName)`
Returns `true` if the given metamodel is a metametamodel.
`boolean`
`isQuery()`
`boolean`
`isRefining()`
`void`
`load(String... filePaths)`
Updates the parameters from the given transformation files.
`void`
`load(org.eclipse.debug.core.ILaunchConfiguration configuration)`
Updates the parameters from the given launch configuration.
`void`
`load(ATLProperties properties)`
Updates the parameters from the given property file.
`void`
`setOptions(Map<String,String> options)`
`void`
`updateLibraryLocation(String name, String location)`
Sets the given location for the given library name.
`void`
`updateMetamodelLocation(String name, String location)`
Sets the given location for the given metamodel name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CreateRunnableData

public CreateRunnableData()

## Method Details

### load

public void load(String... filePaths) throws IOException, org.eclipse.core.runtime.CoreException
Updates the parameters from the given transformation files.

Parameters:
  `filePaths` - the transformation file paths
Throws:
  `IOException`
  `org.eclipse.core.runtime.CoreException`

### load

public void load(ATLProperties properties) throws IOException, org.eclipse.core.runtime.CoreException
Updates the parameters from the given property file.

Parameters:
  `properties` - the properties
Throws:
  `IOException`
  `org.eclipse.core.runtime.CoreException`

### load

public void load(org.eclipse.debug.core.ILaunchConfiguration configuration) throws IOException, org.eclipse.core.runtime.CoreException
Updates the parameters from the given launch configuration.

Parameters:
  `configuration` - the ATL launch configuration
Throws:
  `IOException`
  `org.eclipse.core.runtime.CoreException`

### getClassShortName

public Object getClassShortName()

### getTransformationFiles

public org.eclipse.core.resources.IFile[] getTransformationFiles()

### getFileType

public String getFileType()

### isRefining

public boolean isRefining()

### getInModels

public Map<String,String> getInModels()

### getInOutModels

public Map<String,String> getInOutModels()

### getOutModels

public Map<String,String> getOutModels()

### getAllLibrariesNames

public Set<String> getAllLibrariesNames()

### getLibraryLocations

public Map<String,String> getLibraryLocations()

### getMetamodelLocations

public Map<String,String> getMetamodelLocations()

### getOptions

public Map<String,String> getOptions()

### updateLibraryLocation

public void updateLibraryLocation(String name, String location)
Sets the given location for the given library name.

Parameters:
  `name` - the library name
  `location` - the library location

### updateMetamodelLocation

public void updateMetamodelLocation(String name, String location)
Sets the given location for the given metamodel name.

Parameters:
  `name` - the metamodel name
  `location` - the metamodel location

### setOptions

public void setOptions(Map<String,String> options)

### getAllModelsNames

public List<String> getAllModelsNames()
Aggregates all models names.

Returns:
  the model names

### getModelsToLoadNames

public List<String> getModelsToLoadNames()
Aggregates all models to load names.

Returns:
  the model names

### getModelsToSaveNames

public List<String> getModelsToSaveNames()
Aggregates all models to save names.

Returns:
  the model names

### getAllMetamodelsNames

public Set<String> getAllMetamodelsNames()
Aggregates all metamodels names.

Returns:
  the metamodels names

### isMetametamodel

public boolean isMetametamodel(String metamodelName)
Returns `true` if the given metamodel is a metametamodel.

Parameters:
  `metamodelName` - the metamodel name
Returns:
  `true` if the given metamodel is a metametamodel

### isQuery

public boolean isQuery()

### getFile

public static org.eclipse.core.resources.IFile getFile(String path)
Returns the ATL file for a given .atl or .asm path.

Parameters:
  `path` - the file path
Returns:
  the .atl file